/*
 *	driver.c
 *
 *	Copyright (c) c't 2010 Andreas Stiller 
 *
 *	Can be freely distributed and used under the terms of the GNU GPL.
 *
 * Installs 32 or 64 bit drivers, depending on OS or WoW64
 * In 64 Bit Mode: Signature Check must be switched off (during Boot per F8-Menue) 
 * or using testmode with testsignature
*/

#pragma once
typedef enum {NoPath,ExePath,WinPath,SysPath} DRIVERPATH; 

BOOL FileExists(const char * filename);
BOOL InstallandStartDriver(DRIVERPATH apath, PCHAR driverfilename,PCHAR servicename);
BOOL StartDriver(PCHAR servicename);
BOOL UninstallDriver(PCHAR servicename);
